Update Schema
curl --request PUT \
--url https://api.invaro.ai/api/v1/api/v1/schemas/id/{schema_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Updated schema with more fields",
"schema_string": {
"fields": [
"invoice_number",
"date",
"total",
"currency"
]
}
}
'import requests
url = "https://api.invaro.ai/api/v1/api/v1/schemas/id/{schema_id}"
payload = {
"description": "Updated schema with more fields",
"schema_string": { "fields": ["invoice_number", "date", "total", "currency"] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Updated schema with more fields',
schema_string: {fields: ['invoice_number', 'date', 'total', 'currency']}
})
};
fetch('https://api.invaro.ai/api/v1/api/v1/schemas/id/{schema_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "b3376c85-86e0-476e-aee9-5f05afaa05ea",
"user_id": "b4825725-605b-4374-a64e-c40896b5a0e8",
"name": "invoice_schema_v1",
"type": "invoice",
"description": "Schema for parsing standard invoices",
"schema_string": "{\"fields\": [...]} Gzip Base64 format",
"version": 1,
"is_active": true,
"created_at": "2024-01-18T12:34:56Z",
"updated_at": "2024-01-18T12:34:56Z"
}
}Schema Management
Update Schema
Updates an existing schema. Automatically increments the version number. Only description and schema_string can be updated.
PUT
/
api
/
v1
/
schemas
/
id
/
{schema_id}
Update Schema
Path Parameters
string
required
The unique identifier of the schema to update.
Request Body
Request
{
"description": "Updated schema with more fields",
"schema_string": {
"fields": [
"invoice_number",
"date",
"total",
"customer_name",
"items",
"tax",
"currency",
"payment_terms"
]
}
}
Response
Success Response (200)
{
"success": true,
"data": {
"id": "b3376c85-86e0-476e-aee9-5f05afaa05ea",
"name": "invoice_schema_v1",
"type": "invoice",
"description": "Updated schema with more fields",
"schema_string": "{\"fields\": [...]}",
"version": 2,
"is_active": true,
"created_at": "2024-01-18T12:34:56Z",
"updated_at": "2024-01-18T12:35:56Z"
}
}
Examples
Update a Schema
Curl
curl -X PUT "https://api.invaro.ai/api/v1/schemas/id/b3376c85-86e0-476e-aee9-5f05afaa05ea" \
-H "Authorization: Bearer your_api_key" \
-H "Content-Type: application/json" \
-d '{
"description": "Updated invoice schema with additional fields",
"schema_string": {
"fields": [
"invoice_number",
"date",
"total",
"customer_name",
"items",
"tax",
"gst_number",
"payment_terms",
"currency",
"due_date"
]
}
}'
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the schema.
Body
application/json
⌘I